Creates a new object that belongs to a static category (like Company,Project,...)
Request Information
URI Parameters :
None.
Body Parameters :
db_info| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| name |
Name of the db_info (Chapter name) |
string |
Required Max length: 50 |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| sequence |
Sorting field (0 first), to order them |
integer | |
| db_info_category_id |
Main Category this chapter belongs using real foreign keys. Needed to extract "DbReport" where the category is the db_report_type |
globally unique identifier | |
| db_info_category_code |
Specify on which main category this chapter should be shown. Possible values : Article,Company,Contact,Project,User,Jobs,Task,Opportunity,EquipmentFamily. Read more on API / HELP / Info Fields |
string |
Required |
| parent_id |
Parent Db_info (chapter) (Parent / Child) |
globally unique identifier | |
| parent_db_info_code |
Embedded entity "db_info" for parent using ERP PK when adding/updating db_info |
string | |
| parent_db_info |
Embedded entity "db_info" for parent when adding/updating db_info |
db_info | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "a10ec10b-dbbe-4a2d-82eb-70704d7b8637",
"name": "sample string 2",
"code": "sample string 3",
"sequence": 4,
"db_info_category_id": "22f53fad-8b2f-4a24-8bb9-f92793ea8b55",
"db_info_category_code": "sample string 6",
"parent_id": "690cbbc1-d88d-4156-8e32-d3268f39c921",
"parent_db_info_code": "sample string 8",
"modified_dateutc": "2026-10-10T16:02:38.4945126+00:00"
}
Response Information
Resource Description :
db_info| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| name |
Name of the db_info (Chapter name) |
string |
Required Max length: 50 |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| sequence |
Sorting field (0 first), to order them |
integer | |
| db_info_category_id |
Main Category this chapter belongs using real foreign keys. Needed to extract "DbReport" where the category is the db_report_type |
globally unique identifier | |
| db_info_category_code |
Specify on which main category this chapter should be shown. Possible values : Article,Company,Contact,Project,User,Jobs,Task,Opportunity,EquipmentFamily. Read more on API / HELP / Info Fields |
string |
Required |
| parent_id |
Parent Db_info (chapter) (Parent / Child) |
globally unique identifier | |
| parent_db_info_code |
Embedded entity "db_info" for parent using ERP PK when adding/updating db_info |
string | |
| parent_db_info |
Embedded entity "db_info" for parent when adding/updating db_info |
db_info | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "71de474a-f6d9-44ff-b4f7-c766d2752b6e",
"name": "sample string 2",
"code": "sample string 3",
"sequence": 4,
"db_info_category_id": "54e97b8c-7116-49b9-9759-2ba1e01b6413",
"db_info_category_code": "sample string 6",
"parent_id": "277e3b4d-17d7-4c21-9bcd-a2222ac05ba7",
"parent_db_info_code": "sample string 8",
"modified_dateutc": "2026-10-10T16:02:38.4945126+00:00"
}